﻿<%@ Page Language="VB" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>

<asp:Content ID="indexTitle" ContentPlaceHolderID="TitleContent" runat="server">
    Home Page
</asp:Content>

<asp:Content ID="indexContent" ContentPlaceHolderID="MainContent" runat="server">

    <script type="text/javascript">
        $(document).ready(function() {
            jQuery("#list").jqGrid({
                url: "/Home.aspx/GetUserList/",
                datatype: "json",
                colNames: ['Id', 'FirstName', 'LastName', 'Address', 'City', 'State', 'Zip', 'Phone'],
                colModel: [
   		            { name: 'id', index: 'id', hidden: true },
   		            { name: 'FirstName', index: 'FirstName', width: 90, sortable: true },
   		            { name: 'LastName', index: 'LastName', width: 90, sortable: true },
   		            { name: 'Address', index: 'Address', width: 90, sortable: true },
   		            { name: 'City', index: 'City', width: 90, sortable: true },
   		            { name: 'State', index: 'State', width: 90, sortable: true },
   		            { name: 'Zip', index: 'Zip', width: 90, sortable: true },
   		            { name: 'Phone', index: 'Phone', width: 150, sortable: true }
   	            ],
   		        rowNum: 20,
   		        width: 960,
                height: 'auto',
                rowList: [10, 20, 50],
                imgpath: "/themes/redmond/images",
                pager: jQuery("#pager"),
                sortname: "id",
                hidegrid: false,
                viewrecords: true,
                sortorder: "asc",
                caption: "User Collection"
            }).navGrid('#pager', { edit: false, add: false, del: false });
        }); 
    </script>
    <table id="list" cellpadding="0" cellspacing="0">
    </table>
    <div id="pager" style="text-align: center;">
    </div>
</asp:Content>
